complete actions

- Delete

Complete the list page

- create a new goal modal -- optional
- update goal modal

Signin Modal

- update tailwind/formatting

Complete tests (5 tests)

Ensure all features work
Clean up code: remove commented out code and print statements
